%define	major 2
%define libname %mklibname spf2_ %{major}
%define devname %mklibname spf2 -d

Summary:	Implementation of the SPF specification
Name:		libspf2
Version:	1.2.11
Release:	%mkrel 0.git20210609.2
License:	BSD
Group:		System/Libraries
URL:		https://www.libspf2.org/
#Source0:	http://www.libspf2.org/spf/%{name}-%{version}.tar.gz
Source0:	https://github.com/shevek/libspf2/archive/refs/heads/master.zip
Patch0:		libspf2-1.2.11-mga-varargs.patch
Patch1:		libspf2-1.2.10-no-static.patch
Patch2:		libspf2-1.2.11-mga-no-libreplace.patch

%description
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{libname}
Summary:	Implementation of the SPF specification
Group:		System/Libraries
Obsoletes:	%{_lib}spf2 < 1.2.10-3

%description -n	%{libname}
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{devname}
Summary:	Development tools needed to build programs that use libspf2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the header files and static libraries
necessary for developing programs using the libspf2
(Sender Policy Framework) library.

%package -n	spf2-utils
Summary:	Programs for making SPF queries using libspf2
Group:		System/Servers

%description -n	spf2-utils
Programs for making SPF queries and checking their results using
libspf2.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# install all headers
install -m0644 src/include/*.h %{buildroot}%{_includedir}/spf2/

# these binaries are needed by the tests above
rm -f %{buildroot}%{_bindir}/*_static

# rename the binaries to prevent file conflicts
pushd %{buildroot}%{_bindir}
    for f in *; do mv ${f} ${f}2; done
popd

%files -n %{libname}
%doc README INSTALL LICENSES TODO
%{_libdir}/libspf2.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libspf2.so
%{_includedir}/spf2/

%files -n spf2-utils
%{_bindir}/spfd2
%{_bindir}/spfquery2
%{_bindir}/spftest2
%{_bindir}/spf_example2


%changelog
* Sun Nov 13 2022 danf <danf> 1.2.11-0.git20210609.2.mga9
+ Revision: 1906713
- Fix linking with latest tools
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Sep 27 2021 ns80 <ns80> 1.2.11-0.git20210609.1.mga9
+ Revision: 1746718
- update to latest git snapshot for security issues (mga#29396)

* Sat Aug 21 2021 wally <wally> 1.2.10-6.mga9
+ Revision: 1742142
- add upstream patch to fix CVE-2021-20314 (mga#29361)

* Thu Feb 13 2020 umeabot <umeabot> 1.2.10-5.mga8
+ Revision: 1514447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.10-4.mga7
+ Revision: 1299164
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.2.10-3.mga7
+ Revision: 1235900
- fix lib pkg name
- fix build on aarch64
- disable static build and drop .la files

* Thu Feb 11 2016 umeabot <umeabot> 1.2.10-2.mga6
+ Revision: 955661
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 1.2.10-1.mga6
+ Revision: 893105
- Upgraded to ver. 1.2.10

* Wed Oct 15 2014 umeabot <umeabot> 1.2.9-9.mga5
+ Revision: 751040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.9-8.mga5
+ Revision: 681795
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.9-7.mga4
+ Revision: 507351
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.9-6.mga3
+ Revision: 358198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 dlucio <dlucio> 1.2.9-5.mga2
+ Revision: 225098
- SPEC fixes
- imported package libspf2

